티스토리 뷰


최근 Proxy  환경을 사용하고 있는데.. 작업하는 데 가끔은 불편한 점들이 많더군요...
얼마전 metasploit 을 오랜만에 받아서 설치하고 업데이트하는데....
업데이트가 에러가 나면 잘 되지 않았습니다........
역시 Proxy 문제... --;;; 나뽀~ 나뽀~

[*]
[*] Attempting to update the Metasploit Framework...
[*]

svn: OPTIONS of 'https://metasploit.com/svn/framework3/trunk': 서버에 접속할 수 없습니다.( https://metasploit.com)


다음과 같이 2가지만 주의하시면 Proxy 환경에서 metasploit framework 잘 쓸 수 있습니다...

하나. Subversion Proxy 설정을 해줘라...

   제가 새로 설치한 metasploit framework 버전은 3.5.1 mini 입니다.
   metasploit에는 Subversion 명령행 클라이언트 버전 1.6.13 이 내장되어 있더군요..

   windows 환경에서는 환경변수(set) %APPDATA% 폴더 밑에 Subversion 폴더가 존재합니다. 
   

%APPDATA% : C:\Documents and Settings\Administrator\Application Data
%APPDATA%\Subversion\servers


servers 파일을 오픈하면, 그 안에 다음과 같이 Proxy 정보를 설정할 수 있습니다.. 
설정완료하신 후 Metasploit Update 실행하면 SVN 서버에는 잘 붙습니다.......

### due to SSL.
[global]
# http-proxy-exceptions = *.exception.com, www.internal-site.org
http-proxy-host = [프록시 주소]
http-proxy-port = [프록시 포트]

# http-proxy-username = defaultusername
# http-proxy-password = defaultpassword
# http-compression = no


둘. AV 엔진과의 충돌.....

[*] Attempting to update the Metasploit Framework...
[*]

svn: file 'data\.svn\text-base\eicar.com.svn-base' 를 열 수 없습니다.: 지정된 파일을 찾을 수 없습니다.


metasploit을 설치하는 과정에서 맨처음 해당 제품은 AV 제품과 상충될 수 있다는 문구가 길게..
어쩌구~ 저쩌구~ 나옵니다..
실제로 metasploit 에 포함된 많은 파일들이 AV 제품에서 진단되는 경우가 있습니다.
해당 파일도 아마 AV 제품에서 진단되었을 것입니다...
AV 제품의 검역소에 파일이 포함되어 있는 지 확인하고 원복하시면 됩니다..
또한, 다시 업데이트 하는 동안에는 잠시 AV 실시간 엔진을 OFF 하신 후 업데이트 하시면 아주 잘 됩니다.. ^^;;;

댓글
댓글쓰기 폼